<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

$sounder_blog_style = explode('_', sounder_get_theme_option('blog_style'));
$sounder_columns = empty($sounder_blog_style[1]) ? 2 : max(2, $sounder_blog_style[1]);
$sounder_post_format = get_post_format();
$sounder_post_format = empty($sounder_post_format) ? 'standard' : str_replace('post-format-', '', $sounder_post_format);
$sounder_animation = sounder_get_theme_option('blog_animation');
$sounder_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($sounder_columns).' post_format_'.esc_attr($sounder_post_format) ); ?>
	<?php echo (!sounder_is_off($sounder_animation) ? ' data-animation="'.esc_attr(sounder_get_animation_classes($sounder_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($sounder_image[1]) && !empty($sounder_image[2])) echo intval($sounder_image[1]) .'x' . intval($sounder_image[2]); ?>"
	data-src="<?php if (!empty($sounder_image[0])) echo esc_url($sounder_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$sounder_image_hover = 'icon';	//sounder_get_theme_option('image_hover');
	if (in_array($sounder_image_hover, array('icons', 'zoom'))) $sounder_image_hover = 'dots';
	$sounder_components = sounder_array_get_keys_by_value(sounder_get_theme_option('meta_parts'));
	$sounder_counters = sounder_array_get_keys_by_value(sounder_get_theme_option('counters'));
	sounder_show_post_featured(array(
		'hover' => $sounder_image_hover,
		'thumb_size' => sounder_get_thumb_size( strpos(sounder_get_theme_option('body_style'), 'full')!==false || $sounder_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($sounder_components)
										? sounder_show_post_meta(apply_filters('sounder_filter_post_meta_args', array(
											'components' => $sounder_components,
											'counters' => $sounder_counters,
											'seo' => false,
											'echo' => false
											), $sounder_blog_style[0], $sounder_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'sounder') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>