<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

sounder_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	sounder_show_layout(get_query_var('blog_archive_start'));

	$sounder_classes = 'posts_container '
						. (substr(sounder_get_theme_option('blog_style'), 0, 7) == 'classic' ? 'columns_wrap columns_padding_bottom' : 'masonry_wrap');
	$sounder_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$sounder_sticky_out = sounder_get_theme_option('sticky_style')=='columns' 
							&& is_array($sounder_stickies) && count($sounder_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($sounder_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$sounder_sticky_out) {
		if (sounder_get_theme_option('first_post_large') && !is_paged() && !in_array(sounder_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($sounder_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($sounder_sticky_out && !is_sticky()) {
			$sounder_sticky_out = false;
			?></div><div class="<?php echo esc_attr($sounder_classes); ?>"><?php
		}
		get_template_part( 'content', $sounder_sticky_out && is_sticky() ? 'sticky' : 'classic' );
	}
	
	?></div><?php

	sounder_show_pagination();

	sounder_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>