<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

if (sounder_sidebar_present()) {
	ob_start();
	$sounder_sidebar_name = sounder_get_theme_option('sidebar_widgets');
	sounder_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($sounder_sidebar_name) ) {
		dynamic_sidebar($sounder_sidebar_name);
	}
	$sounder_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($sounder_out)) {
		$sounder_sidebar_position = sounder_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($sounder_sidebar_position); ?> widget_area<?php if (!sounder_is_inherit(sounder_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(sounder_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'sounder_action_before_sidebar' );
				sounder_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $sounder_out));
				do_action( 'sounder_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>