<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

get_header();

while ( have_posts() ) { the_post();

	get_template_part( 'content', get_post_format() );

	// Previous/next post navigation.
	?><div class="nav-links-single"><?php
		the_post_navigation( array(
			'next_text' => '<span class="nav-arrow"></span>'
				. '<span class="screen-reader-text">' . esc_html__( 'Next post', 'sounder' ) . '</span> '
				. '<h6 class="post-title">%title</h6>'
				. '<span class="post_date">%date</span>',
			'prev_text' => '<span class="nav-arrow"></span>'
				. '<span class="screen-reader-text">' . esc_html__( 'Prev post', 'sounder' ) . '</span> '
				. '<h6 class="post-title">%title</h6>'
				. '<span class="post_date">%date</span>'
		) );
	?></div><?php

    // Author bio.
    if ( sounder_get_theme_option('show_author_info')==1 && is_single() && !is_attachment() && get_the_author_meta( 'description' ) ) {	// && is_multi_author()
        do_action('sounder_action_before_post_author');
        get_template_part( 'templates/author-bio' );
        do_action('sounder_action_after_post_author');
    }

	// Related posts
	if ((int) sounder_get_theme_option('show_related_posts') && ($sounder_related_posts = (int) sounder_get_theme_option('related_posts')) > 0) {
		sounder_show_related_posts(array('orderby' => 'rand',
										'posts_per_page' => max(1, min(9, $sounder_related_posts)),
										'columns' => max(1, min(4, sounder_get_theme_option('related_columns')))
										),
									1
									);
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
?>