<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0.1
 */
 
$sounder_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="sounder_admin_notice">
	<h3 class="sounder_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'sounder'),
				$sounder_theme_obj->name . (SOUNDER_THEME_FREE ? ' ' . __('Free', 'sounder') : ''),
				$sounder_theme_obj->version
				));
	?></h3>
	<?php
	if (!sounder_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('Attention! Plugin "ThemeREX Addons is required! Please, install and activate it!', 'sounder')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=sounder_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'sounder'), $sounder_theme_obj->name));
		?></a>
		<?php
		if (sounder_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'sounder'); ?></a>
			<?php
		}
		if (function_exists('sounder_exists_trx_addons') && sounder_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'sounder'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'sounder'); ?></a>
		<span> <?php esc_html_e('or', 'sounder'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'sounder'); ?></a>
        <a href="#" class="button sounder_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'sounder'); ?></a>
	</p>
</div>