<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0.10
 */

$sounder_footer_id = str_replace('footer-custom-', '', sounder_get_theme_option("footer_style"));
if ((int) $sounder_footer_id == 0) {
	$sounder_footer_id = sounder_get_post_id(array(
												'name' => $sounder_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$sounder_footer_id = apply_filters('sounder_filter_get_translated_layout', $sounder_footer_id);
}
$sounder_footer_meta = get_post_meta($sounder_footer_id, 'trx_addons_options', true);
if (!empty($sounder_footer_meta['margin']) != '') 
	sounder_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(sounder_prepare_css_value($sounder_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($sounder_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($sounder_footer_id))); 
						if (!sounder_is_inherit(sounder_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(sounder_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('sounder_action_show_layout', $sounder_footer_id);
	?>
</footer><!-- /.footer_wrap -->
