<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0.10
 */

// Footer sidebar
$sounder_footer_name = sounder_get_theme_option('footer_widgets');
$sounder_footer_present = !sounder_is_off($sounder_footer_name) && is_active_sidebar($sounder_footer_name);
if ($sounder_footer_present) { 
	sounder_storage_set('current_sidebar', 'footer');
	$sounder_footer_wide = sounder_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($sounder_footer_name) ) {
		dynamic_sidebar($sounder_footer_name);
	}
	$sounder_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($sounder_out)) {
		$sounder_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $sounder_out);
		$sounder_need_columns = true;	//or check: strpos($sounder_out, 'columns_wrap')===false;
		if ($sounder_need_columns) {
			$sounder_columns = max(0, (int) sounder_get_theme_option('footer_columns'));
			if ($sounder_columns == 0) $sounder_columns = min(4, max(1, substr_count($sounder_out, '<aside ')));
			if ($sounder_columns > 1)
				$sounder_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($sounder_columns).' widget', $sounder_out);
			else
				$sounder_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($sounder_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$sounder_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($sounder_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'sounder_action_before_sidebar' );
				sounder_show_layout($sounder_out);
				do_action( 'sounder_action_after_sidebar' );
				if ($sounder_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$sounder_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>