<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

$sounder_header_css = '';
$sounder_header_image = get_header_image();
$sounder_header_video = sounder_get_header_video();
if (!empty($sounder_header_image) && sounder_trx_addons_featured_image_override(is_singular() || sounder_storage_isset('blog_archive') || is_category())) {
	$sounder_header_image = sounder_get_current_mode_image($sounder_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($sounder_header_image) || !empty($sounder_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($sounder_header_video!='') echo ' with_bg_video';
					if ($sounder_header_image!='') echo ' '.esc_attr(sounder_add_inline_css_class('background-image: url('.esc_url($sounder_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (sounder_is_on(sounder_get_theme_option('header_fullheight'))) echo ' header_fullheight sounder-full-height';
					if (!sounder_is_inherit(sounder_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(sounder_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($sounder_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (sounder_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Mobile header
	if (sounder_is_on(sounder_get_theme_option("header_mobile_enabled"))) {
		get_template_part( 'templates/header-mobile' );
	}
	
	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	//get_template_part( 'templates/header-single' );

?></header>