<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

$sounder_args = get_query_var('sounder_logo_args');

// Site logo
$sounder_logo_type   = isset($sounder_args['type']) ? $sounder_args['type'] : '';
$sounder_logo_image  = sounder_get_logo_image($sounder_logo_type);
$sounder_logo_text   = sounder_is_on(sounder_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$sounder_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($sounder_logo_image) || !empty($sounder_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($sounder_logo_image)) {
			if (empty($sounder_logo_type) && function_exists('the_custom_logo') && (int) $sounder_logo_image > 0) {
				the_custom_logo();
			} else {
				$sounder_attr = sounder_getimagesize($sounder_logo_image);
				echo '<img src="'.esc_url($sounder_logo_image).'" alt="'.esc_attr($sounder_logo_text).'"'.(!empty($sounder_attr[3]) ? ' '.wp_kses_data($sounder_attr[3]) : '').'>';
			}
		} else {
			sounder_show_layout(sounder_prepare_macros($sounder_logo_text), '<span class="logo_text">', '</span>');
			sounder_show_layout(sounder_prepare_macros($sounder_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>