<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

// Page (category, tag, archive, author) title

if ( sounder_need_page_title() ) {
	sounder_sc_layouts_showed('title', true);
	sounder_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								sounder_show_post_meta(apply_filters('sounder_filter_post_meta_args', array(
									'components' => sounder_array_get_keys_by_value(sounder_get_theme_option('meta_parts')),
									'counters' => sounder_array_get_keys_by_value(sounder_get_theme_option('counters')),
									'seo' => sounder_is_on(sounder_get_theme_option('seo_snippets'))
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$sounder_blog_title = sounder_get_blog_title();
							$sounder_blog_title_text = $sounder_blog_title_class = $sounder_blog_title_link = $sounder_blog_title_link_text = '';
							if (is_array($sounder_blog_title)) {
								$sounder_blog_title_text = $sounder_blog_title['text'];
								$sounder_blog_title_class = !empty($sounder_blog_title['class']) ? ' '.$sounder_blog_title['class'] : '';
								$sounder_blog_title_link = !empty($sounder_blog_title['link']) ? $sounder_blog_title['link'] : '';
								$sounder_blog_title_link_text = !empty($sounder_blog_title['link_text']) ? $sounder_blog_title['link_text'] : '';
							} else
								$sounder_blog_title_text = $sounder_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($sounder_blog_title_class); ?>"><?php
								$sounder_top_icon = sounder_get_category_icon();
								if (!empty($sounder_top_icon)) {
									$sounder_attr = sounder_getimagesize($sounder_top_icon);
									?><img src="<?php echo esc_url($sounder_top_icon); ?>" alt="<?php if (!empty($sounder_attr[3])) sounder_show_layout($sounder_attr[3]);?>"><?php
								}
								echo wp_kses_data($sounder_blog_title_text);
							?></h1>
							<?php
							if (!empty($sounder_blog_title_link) && !empty($sounder_blog_title_link_text)) {
								?><a href="<?php echo esc_url($sounder_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($sounder_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'sounder_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>