<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage SOUNDER
 * @since SOUNDER 1.0
 */

// Header sidebar
$sounder_header_name = sounder_get_theme_option('header_widgets');
$sounder_header_present = !sounder_is_off($sounder_header_name) && is_active_sidebar($sounder_header_name);
if ($sounder_header_present) { 
	sounder_storage_set('current_sidebar', 'header');
	$sounder_header_wide = sounder_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($sounder_header_name) ) {
		dynamic_sidebar($sounder_header_name);
	}
	$sounder_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($sounder_widgets_output)) {
		$sounder_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $sounder_widgets_output);
		$sounder_need_columns = strpos($sounder_widgets_output, 'columns_wrap')===false;
		if ($sounder_need_columns) {
			$sounder_columns = max(0, (int) sounder_get_theme_option('header_columns'));
			if ($sounder_columns == 0) $sounder_columns = min(6, max(1, substr_count($sounder_widgets_output, '<aside ')));
			if ($sounder_columns > 1)
				$sounder_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($sounder_columns).' widget', $sounder_widgets_output);
			else
				$sounder_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($sounder_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$sounder_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($sounder_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'sounder_action_before_sidebar' );
				sounder_show_layout($sounder_widgets_output);
				do_action( 'sounder_action_after_sidebar' );
				if ($sounder_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$sounder_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>