<?php
/**
 * The "Announce" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = min(8, $widget_args['number']);
$count = min(8, $widget_args['count']);
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');
$grid = array(
	array('full'),
	array('big', 'big'),
	array('big', 'medium', 'medium'),
	array('big', 'medium', 'small', 'small'),
	array('big', 'small', 'small', 'small', 'small'),
	array('medium', 'medium', 'small', 'small', 'small', 'small'),
	//array('medium', 'small', 'small', 'small', 'small', 'small', 'small'),
	array('small', 'small', 'small', 'big', 'small', 'small', 'small'),
	array('small', 'small', 'small', 'small', 'small', 'small', 'small', 'small')
);
$thumb_size = $grid[$count-$number >= 8 ? 8 : ($count-1)%8][($number-1)%8];

$sounder_link = get_permalink();
$cat = sounder_get_post_categories(', ');
?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					.' post_size_'.esc_attr($thumb_size)
					.' posts_'.esc_attr($count)
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

    sounder_show_post_featured(array(
            'thumb_size' => ($thumb_size == 'big' ? sounder_get_thumb_size( 'full') : sounder_get_thumb_size( 'big')),
            'show_no_image' => sounder_get_theme_setting('allow_no_image'),
            'hover' => 'none',
            'singular' => false,
            'thumb_bg' => true,
            'post_info' => '<div class="post_header">'
                . '<div class="line-one">'.
                sounder_show_post_meta( array(
                    'components' => 'counters',
                    'counters' => 'likes',
                    'seo' => false,
                    'echo' => false
                ))
                .(!empty($cat) ? '<div class="post_categories">'.$cat.'</div>' : ''). '</div>'
                . '<h5 class="post_title"><a href="'.esc_url($sounder_link).'">'.esc_html(get_the_title()).'</a></h5>'
                . '</div>'
        )
    );
	?>
</article>