<?php
/**
 * The "Portfolio" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = $widget_args['number'];
$count = $widget_args['count'];
$columns = $widget_args['columns'];
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');

$sounder_link = get_permalink();
$cat = sounder_get_post_categories(', ');

if ($columns > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $columns)); ?>"><?php
}
?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style).' post_format_'.esc_attr($post_format) ); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>
	<?php
    sounder_show_post_featured(array(
            'thumb_size' => sounder_get_thumb_size($columns > 1 ? 'extra' : 'full'),
            'show_no_image' => sounder_get_theme_setting('allow_no_image'),
            'hover' => 'none',
            'singular' => false,
            'post_info' => '<div class="post_header">'
                . '<div class="line-one">'.
                sounder_show_post_meta( array(
                    'components' => 'counters',
                    'counters' => 'likes',
                    'seo' => false,
                    'echo' => false
                ))
                .(!empty($cat) ? '<div class="post_categories">'.$cat.'</div>' : ''). '</div>'
                . '<h5 class="post_title"><a href="'.esc_url($sounder_link).'">'.esc_html(get_the_title()).'</a></h5>'
                . '</div>'
        )
    );

?>
</article><?php

if ($columns > 1) {
	?></div><?php
}
?>